# Get Wallet Transactions

## Get Wallet Transactions

<mark style="color:blue;">`GET`</mark> `{{baseUrl}}/wallet/transactions`

{% tabs %}
{% tab title="200: OK Retrieved transactions" %}

```javascript
{
    "status": true,
    "message": "Transactions retrieved",
    "data": [
        {
            "id": "6166b0be3dd87d46743a7ca2",
            "amount": 1000,
            "description": "For delivery with batchId - ENIB61",
            "type": "DEBIT",
            "balance": 1000,
            "createdAt": "2021-10-13T10:11:10.667Z"
        },
        {
            "id": "61a72922fd4492a136466941",
            "amount": 1000,
            "description": "For delivery with batchId - 1XZG7Q",
            "type": "DEBIT",
            "balance": 0,
            "createdAt": "2021-12-01T07:49:54.946Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

```json
// Sample Response Body - 200 OK
{
    "status": true,
    "message": "Transactions retrieved",
    "data": []
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendstackhq.com/delivery-api/wallet/get-wallet-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
